#include <iostream>
#include <string>
#include <fstream>
#include <algorithm>
using namespace std;
string a[10000]; string b[10000];
int n; string s="";

void doc()
{
	ifstream fi;
	fi.open("NAME.INP",ios::in);
	fi>>n;
	int i=0;
	while(!fi.eof())
	{
		getline(fi,s);
		a[i]=s;
		++i;
	}
	for(int u=1;u<=n;u++)
	   a[u-1]=a[u];
	fi.close();
}
string upcase(string &s1)
{
    transform(s1.begin(), s1.end(),s1.begin(),::toupper);
    return s1;
}

bool kiemtra(string a[], int n, string k)
{
    for (int i=0;i<n; i++)
    {
    	string tam1=upcase(a[i]); string tam2=upcase(k);
        if (tam1== tam2)
            return true;
    }
	return false;
}
int demten(string a[], int n)
{
    if (n == 1)
    	{
    		b[0]=a[n-1];
        	return 1;
        }
 
    int dem = demten(a, n-1);
    if (kiemtra(a, n-1, a[n-1]) == true)
        return dem;
    else
    	{
    		dem + 1;
    		b[dem]=a[n-1];
        	return dem + 1;
        }
}
void ghifile()
{
	ofstream fo;
	fo.open("NAME.OUT",ios::out);
	int dem=demten(a,n);
	fo<<dem<<endl;
	for(int i=0;i<dem;i++)
		fo<<b[i]<<endl;
	fo.close();
}
int main() 
{
	doc();
	ghifile();
	return 0;
}
